using UnityEngine;
using System.Collections;

public class DeathManager : MonoBehaviour
{
    public FloatVar healthPlayer;
    public IntVar nbLifePlayer;
    
    public TransformVar lastSpawnPad;
    public Transform startSpawnPad;

    public Chrono chrono;

    public Transform transformPlayer;

    bool inProgress = false;
	
	// Update is called once per frame
	void Update ()
    {
        if ( healthPlayer.Get() <= 0.0f && !inProgress )
        {
            inProgress = true;
            if ( nbLifePlayer.Get() > 0 )
            {
				StartCoroutine( PrepareRestart(true) );
            }
            else
            {
				StartCoroutine( PrepareRestart(false) );
            }
		}
	}
	
	IEnumerator PrepareRestart ( bool respawn )
    {
		if ( respawn )
        {
			yield return new WaitForSeconds (0);

            nbLifePlayer.Set( nbLifePlayer.Get() - 1 );
            healthPlayer.Set( 100.0f );

            Vector3 position = lastSpawnPad.Get().position;
            position.y += 2.0f;
            transformPlayer.position = position;
        
            Screen.lockCursor = false;
        }
		else
        {
			yield return new WaitForSeconds (0);
			
            nbLifePlayer.Set( 3 );
            healthPlayer.Set( 100.0f );

            Vector3 position = startSpawnPad.position;
            position.y += 2.0f;
            transformPlayer.position = position;

            chrono.Restart();

            Screen.lockCursor = false;
    		//Application.LoadLevel(0);
        }
        inProgress = false;
    }
}
