using UnityEngine;

public class FPSAnimator : MonoBehaviour
{
    public GameObject model;
    
    FPSWalker fpsWalker;

    void Start()
    {
        fpsWalker = GetComponent<FPSWalker>();

        model.animation["idle1"].wrapMode = WrapMode.Loop;
        model.animation["idle1"].layer = 1;

        model.animation["run"].wrapMode = WrapMode.Loop;
        model.animation["run"].layer = 1;

        model.animation["jump"].wrapMode = WrapMode.Loop;
        model.animation["jump"].layer = 1;
        model.animation["jump"].speed = 0.1F;

        model.animation["sideR"].wrapMode = WrapMode.Loop;
        model.animation["sideR"].layer = 1;

        model.animation["sideL"].wrapMode = WrapMode.Loop;
        model.animation["sideL"].layer = 1;

        model.animation["back"].wrapMode = WrapMode.Loop;
        model.animation["back"].layer = 1;
    }


    void Update()
    {
        string anim = "idle1";

        if ( fpsWalker.walkerState == FPSWalkerState.WalkFront )
            anim = "run";
        else if ( fpsWalker.walkerState == FPSWalkerState.WalkBack )
            anim = "back";
        else if ( fpsWalker.walkerState == FPSWalkerState.WalkLeft )
            anim = "sideL";
        else if ( fpsWalker.walkerState == FPSWalkerState.WalkRight )
            anim = "sideR";
        else if (  fpsWalker.walkerState == FPSWalkerState.Jump
                || fpsWalker.walkerState == FPSWalkerState.WaterJump )
            anim = "jump";

        if ( !model.animation.IsPlaying( anim ) )
        {
            model.animation.CrossFade( anim );
        }
    }
}

//@script RequireComponent(CharacterController)
