using UnityEngine;

public class SpawnPad : MonoBehaviour
{
    bool selected;
    public float bestTime = -1.0f;

    public void Select()
    {
        selected = true;
        updateEmitter();
    }

    public void Unselect()
    {
        selected = false;
        updateEmitter();
    }

    void updateEmitter()
    {
        ParticleEmitter particleEmitter = GetComponentInChildren<ParticleEmitter>();
        if ( particleEmitter )
        {
            particleEmitter.emit = selected;
        }
    }

    public float GetBestTime()
    {
        return bestTime;
    }

    public void SetTime( float time )
    {
        if ( bestTime < 0.0f || bestTime > time )
        {
            bestTime = time;
        }
    }
}
